# [NB] We do not provide the validation layers here yet, for simplicity.
# The goal is to just let our users try Vulkan-based games, etc.

%define srcname Vulkan-LoaderAndValidationLayers

%define major 1
%define libname %mklibname vulkan %{major}
%define devname %mklibname vulkan -d


Summary:	Vulkan Installable Client Driver (ICD) Loader
Name:		vulkan
Version:	1.0.33.0
Release:	1
Group:		Graphics
License:	ASL 2.0
URL:		https://github.com/KhronosGroup/Vulkan-LoaderAndValidationLayers

Source0:	https://github.com/KhronosGroup/%{srcname}/archive/sdk-%{version}.tar.gz?/%{srcname}-sdk-%{version}.tar.gz
Source1:	https://raw.githubusercontent.com/KhronosGroup/glslang/master/SPIRV/spirv.hpp

# From Fedora, re-diffed for v.1.0.33.0
Patch0:		0003-layers-Don-t-set-an-rpath.patch
Patch1:		0008-demos-Don-t-build-tri-or-cube.patch

BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	python3
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcb)

Requires:	%{libname} = %{EVRD}

%description
Vulkan is a new generation graphics and compute API that provides
high-efficiency, cross-platform access to modern GPUs used in a wide variety of
devices from PCs and consoles to mobile phones and embedded platforms.

This package contains the common files and utilies for Vulkan.

%files
%doc LICENSE.txt COPYRIGHT.txt
%doc README.md CONTRIBUTING.md
%dir %{_sysconfdir}/vulkan
%dir %{_sysconfdir}/vulkan/icd.d
%{_bindir}/vulkaninfo

############################################################################

%package -n %{libname}
Summary:	Vulkan ICD Loader Library

%description -n %{libname}
This package contains the installable client driver (ICD) loader library
for Vulkan.

%files -n %{libname}
%{_libdir}/libvulkan.so.%{major}*

############################################################################

%package -n %{devname}
Summary:	Development files for %{libname}

Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}

Provides:	vulkan-devel = %{EVRD}

%description -n %{devname}
This package contains the development files for Vulkan applications.

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libvulkan.so

############################################################################

%prep
%setup -qn %{srcname}-sdk-%{version}
%apply_patches


%build
cp %{SOURCE1} .
%cmake \
	-DBUILD_TESTS=OFF \
	-DBUILD_LAYERS=OFF \
	-DBUILD_VKJSON=OFF \
	-DBUILD_WSI_XCB_SUPPORT=ON \
	-DBUILD_WSI_XLIB_SUPPORT=ON \
	-DBUILD_WSI_WAYLAND_SUPPORT=ON \
	-DGLSLANG_SPIRV_INCLUDE_DIR=../

%make


%install
%makeinstall_std -C build

install -d -m 755 %{buildroot}%{_includedir}
cp -a include/vulkan %{buildroot}%{_includedir}

install -d -m 755 %{buildroot}%{_sysconfdir}/vulkan/icd.d

%changelog

* Sun Dec 11 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.33.0-1
- (aa19271) Added the files for v.1.0.33.0


